Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.opensymphony.xwork2.inject
Enum Scope

    java.lang.Object
      java.lang.Enum<Scope>
          com.opensymphony.xwork2.inject.Scope

All Implemented Interfaces:
  Serializable, Comparable<Scope>

    public enum Scope

extends Enum<Scope>

Scope of an injected objects.

Author:
  crazybob

Nested Class Summary
`static interface` | `Scope.Strategy` Pluggable scoping strategy.

Enum Constant Summary
`DEFAULT` One instance per injection.
`REQUEST` One instance per request.
`SESSION` One instance per session.
`SINGLETON` One instance per container.
`THREAD` One instance per thread.
`WIZARD` One instance per wizard.

Method Summary
`static Scope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Scope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final Scope DEFAULT

  One instance per injection.

### SINGLETON

    public static final Scope SINGLETON

  One instance per container.

### THREAD

    public static final Scope THREAD

  One instance per thread.

  Note: if a thread local object strongly references its `Container`, neither the `Container` nor the object will be eligible for garbage collection, i.e. memory leak.

### REQUEST

    public static final Scope REQUEST

  One instance per request.

### SESSION

    public static final Scope SESSION

  One instance per session.

### WIZARD

    public static final Scope WIZARD

  One instance per wizard.

Method Detail

### values

    public static Scope[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Scope c : Scope.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Scope valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.